mysql_more_results(3)

  Name
mysql_more_results - indicates if one or more results are available

  Synopsis

        #include <mysql.h>

        my_bool mysql_more_results(MYSQL * mysql);

  Description
Indicates if one or more result sets are available from a previous call to mysql_real_query(3).

  Parameter

•   mysql - a connection identifier, which was previously allocated by mysql_init(3) and connected by mysql_real_connect(3).

  Notes

•   The function mysql_set_server_option(3) enables or disables multi statement support.

•   Multiple result sets can be obtained either by calling a stored procedure or by executing concatenated statements, e.g. SELECT a FROM t1;SELECT b, c FROM t2.

  Return value
Returns 1 if more result sets are available, otherwise zero.

  See also

•   mysql_real_query(3)

•   mysql_use_result(3)

•   mysql_store_result(3)

•   mysql_next_result(3)

•   mysql_set_server_option(3)